# ape を読み込む
library(ape)


# newick format のファイルを読み込む
#MyTree <- read.tree("MyTree.tre")

# ファイル名 (PosMean.txt) をデータフレームに入れて，ファイルを読み込む
args <- commandArgs()             # パラメータのベクトル
MyTree1 <- args[6]                 # ６番めの要素が最初のパラメータ
MyTree <- read.tree(MyTree1)

# tree の絵を pdf ファイルに保存．
image.file <- paste(MyTree1, ".pdf", sep = "") 
pdf(image.file)

# 系統樹を書いたときに，下にルートが来るようにする
MyTree <- ladderize(MyTree,FALSE)

# Tree をプロットする．
#plot.phylo(MyTree, no.margin = TRUE, font = 3,cex = 0.5)
plot(MyTree, font = 3,cex = 0.8)

# BS 値をプロットする．
rs1 <- round(runif(13, 60, 100), 0)
nodelabels(MyTree$node.label,cex=0.55)

# Newick format で保存．しかし Notung には通用しないので，コメントアウトした．
#ladderTree.file <- paste(MyTree1, ".radder.tre", sep = "")   
#write.tree(MyTree, file=ladderTree.file)

#dev.off()

